Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034195
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2016-10-13 11:002016-12-16 18:38
ReporternataliagView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q1
StatusclosedFix in branchFixed in SCM revision9ec41af386ae
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034195: Error using copy lines in sales invoice

DescriptionError completing a sales invoice which has copied lines from a sales invoice with a different organization.
Steps To Reproduce1- Create a sales invoice using "F&B España - Región Sur" organization.
2- Click on "Copy lines" button and select the invoice Nº1000001 which organization is "F&B España - Región Norte". The lines are copies successfully
3- Now, press "Complete" button, and select "complete" action.
4- Sales invoice is not completed and this error appears:
Error:
The organization of the lines is different and does not depend on the organization associated with the header.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
causes defect 0037119 closednonofrancisco "Copy Lines" process not properly copying "organization" dimension when defined at invoice line level 

-  Notes
(0090557)
markmm82 (developer)
2016-10-13 20:49

Test Plan
1- Create a sales invoice using "F&B España - Región Sur" organization.
2- Click on "Copy lines" button and select the invoice Nº1000001 which organization is "F&B España - Región Norte". The lines are copies successfully
3- Now, press "Complete" button, and select "complete" action.
4- Sales invoice is completed successfully.

Repeat the test plan above for the purchase flow.
(0090559)
heccam (reporter)
2016-10-13 21:15

Please check the video: https://youtu.be/6FkbkhC_M-I [^]
(0090864)
hgbot (developer)
2016-10-25 14:29

Repository: erp/devel/pi
Changeset: 9ec41af386aebcf053fcd8c18034b3093c7b5ae4
Author: Mark <markmm82 <at> gmail.com>
Date: Thu Oct 13 13:35:09 2016 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/9ec41af386aebcf053fcd8c18034b3093c7b5ae4 [^]

Fixes issue 34195: No error in copy lines if sales invoices have different orgs

When the Copy Lines process is executed, the new created lines of the current invoice will take the organization defined in the header as the line's organization. It avoid the possible scenario when the lines were created from have a different organization than defined in the current invoice's header.

---
M src/org/openbravo/erpCommon/ad_actionButton/CopyFromInvoice.java
M src/org/openbravo/erpCommon/ad_actionButton/CopyFromInvoice_data.xsql
---
(0090865)
aferraz (developer)
2016-10-25 14:29

Code review + Testing OK
(0092555)
hudsonbot (developer)
2016-12-16 18:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-10-13 11:00 nataliag New Issue
2016-10-13 11:00 nataliag Assigned To => Triage Finance
2016-10-13 11:00 nataliag Modules => Core
2016-10-13 11:00 nataliag Triggers an Emergency Pack => No
2016-10-13 11:08 heccam Issue Monitored: heccam
2016-10-13 16:55 markmm82 Status new => scheduled
2016-10-13 16:57 vmromanos Assigned To Triage Finance => markmm82
2016-10-13 20:49 markmm82 Note Added: 0090557
2016-10-13 21:15 heccam Note Added: 0090559
2016-10-25 14:29 hgbot Checkin
2016-10-25 14:29 hgbot Note Added: 0090864
2016-10-25 14:29 hgbot Status scheduled => resolved
2016-10-25 14:29 hgbot Resolution open => fixed
2016-10-25 14:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9ec41af386aebcf053fcd8c18034b3093c7b5ae4 [^]
2016-10-25 14:29 aferraz Review Assigned To => aferraz
2016-10-25 14:29 aferraz Note Added: 0090865
2016-10-25 14:29 aferraz Status resolved => closed
2016-10-25 14:29 aferraz Fixed in Version => 3.0PR17Q1
2016-12-16 18:38 hudsonbot Checkin
2016-12-16 18:38 hudsonbot Note Added: 0092555
2017-10-19 23:41 aferraz Relationship added causes 0037119


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker